# Nginx SSL Reverse Proxy Setup

## Generate Self-Signed Certificates

Run this script from the `nginx/` directory:

```bash
./generate-selfsigned.sh
```

This will create `certs/fusero-selfsigned.crt` and `certs/fusero-selfsigned.key`.

## Usage with Docker Compose

1. Make sure the certs are generated as above.
2. Start the stack from the project root:

```bash
docker compose up -d --build
```

- Nginx will listen on ports 443 (HTTPS) and 80 (HTTP, redirected to HTTPS).
- All traffic will be routed securely to your frontend and backend containers.

## Notes
- Browsers will warn about the self-signed certificate. You can safely bypass this for development/testing.
- For production, use a trusted certificate authority. 